Package org.apache.tomcat.websocket

## Class MessageHandlerResult

- java.lang.Object
- - org.apache.tomcat.websocket.MessageHandlerResult

    public class MessageHandlerResult
    extends Object

### Constructor Summary

Constructors
`MessageHandlerResult​(MessageHandler handler, MessageHandlerResultType type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MessageHandler` `getHandler()`
`MessageHandlerResultType` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MessageHandlerResult

    public MessageHandlerResult​(MessageHandler handler,
                                MessageHandlerResultType type)

### Method Detail

#### getHandler

    public MessageHandler getHandler()

#### getType

    public MessageHandlerResultType getType()